Subject: bug#26497: glibc 2.25 broken on i686

From: [email-masked] (Ludovic Courtès)
Date: Tue, 25 Apr 2017 12:19:15 +0200

Hello!

Ricardo Wurmus <[email-masked]> skribis:

> I applied the following patch to my i686 netbook and waited a day for
> coreutils and procps to be built with the new glibc.  I cannot reproduce
> any crashes with these packages, so this seems to be fine.
>
>> Then we soon apply the patch conditionally on glibc (like I did for the
>> Coreutils patch for ARM) ASAP so that Hydra has time to rebuild the i686
>> world.
>
> The attached patch is for core-updates, but I could also try to make it
> apply conditionally for i686.

Yes, that would be great.

> From 2b2f1d4947e2198f7011b00a496be078f6a924fd Mon Sep 17 00:00:00 2001
> From: Ricardo Wurmus <[email-masked]>
> Date: Mon, 24 Apr 2017 23:15:41 +0200
> Subject: [PATCH] gnu: glibc/linux: Fix segfaults on i686.
>
> * gnu/packages/patches/glibc-memchr-overflow-i686.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add it.
> * gnu/packages/base.scm (glibc/linux)[source]: Add patch.

Perfect, thank you for taking care of it!

Ludo’.